org.apache.ignite.internal.pagemem.wal.record.delta

## Class DataPageUpdateRecord

- java.lang.Object
- - org.apache.ignite.internal.pagemem.wal.record.WALRecord
  - - org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord
    - - org.apache.ignite.internal.pagemem.wal.record.delta.DataPageUpdateRecord

    public class DataPageUpdateRecord
    extends PageDeltaRecord

Update existing record in data page.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`WALRecord.RecordType`

### Constructor Summary

Constructors
Constructor and Description
`DataPageUpdateRecord(int grpId, long pageId, int itemId, byte[] payload)`

### Method Summary

Methods
`void` `applyDelta(PageMemory pageMem, long pageAddr)` Apply changes from this delta to the given page.
`int` `itemId()`
`byte[]` `payload()`
`WALRecord.RecordType` `type()`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.delta.PageDeltaRecord

`groupId, pageId, toString`

### Methods inherited from class org.apache.ignite.internal.pagemem.wal.record.WALRecord

`chainSize, chainSize, position, position, previous, previous, size, size`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DataPageUpdateRecord

    public DataPageUpdateRecord(int grpId,
                        long pageId,
                        int itemId,
                        byte[] payload)

Parameters:
  `grpId` - Cache group ID.
  `pageId` - Page ID.
  `itemId` - Item ID.
  `payload` - Record data.

### Method Detail

#### itemId

    public int itemId()

Returns:
  Item ID.

#### payload

    public byte[] payload()

Returns:
  Insert record payload.

#### applyDelta

    public void applyDelta(PageMemory pageMem,
                  long pageAddr)
                    throws IgniteCheckedException

Apply changes from this delta to the given page. It is assumed that the given buffer represents page state right before this update.

Specified by:
  `applyDelta` in class `PageDeltaRecord`
Parameters:
  `pageMem` - Page memory.
  `pageAddr` - Page address.
Throws:
  `IgniteCheckedException` - If failed.

#### type

    public WALRecord.RecordType type()

Specified by:
  `type` in class `WALRecord`
Returns:
  Entry type.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017